%define dest_folder /opt/hercules-sender
%define unit hercules-sender
%define __python /usr/bin/python3.6
%define _use_internal_dependency_generator 0
%define __find_requires %{nil}
%define __find_provides %{nil}

Name: hercules-sender
Version: 0.2
Release: 21
Summary: Sender of hercules packages from nginx to hercules
License: MIT License
Requires: python36
Obsoletes: hercules_sender

Source0: hercules-sender-0.2.tar.gz

%{?systemd_requires}
BuildRequires: systemd

%description
Sender of hercules packages from nginx to hercules

%prep
%setup –q

%build

%install
%{__mkdir} -p $RPM_BUILD_ROOT%{dest_folder}
%{__cp} -r hercules_sender $RPM_BUILD_ROOT%{dest_folder}/hercules_sender
%{__cp} -r deps $RPM_BUILD_ROOT%{dest_folder}/deps
%{__mkdir} -p $RPM_BUILD_ROOT%{_unitdir}
%{__cp} %{unit}.service $RPM_BUILD_ROOT%{_unitdir}/%{unit}.service

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%license LICENSE
%defattr(-,root,root)
%{dest_folder}/*
%{_unitdir}/%{unit}.service

%post
%systemd_post %{unit}

%preun
%systemd_preun %{unit}
if [ $1 -eq 0 ]; then
    /usr/bin/systemctl stop %{unit}
fi

%postun
if [ $1 -eq 1 ]; then
    /usr/bin/systemctl daemon-reload; /usr/bin/systemctl restart %{unit} ||:
fi
if [ $1 -eq 0 ]; then
    /usr/bin/systemctl disable %{unit} ||:
fi
